#!/usr/bin/fish
# generate password files for users

set users $argv

for user in $users
  set password (pwgen -s 20 1)
  printf "%s|%s\n" $user $password
  if test -d /home/$user
    printf "%s\n" $password > /home/$user/.qlogs
    chown $user:$user /home/$user/.qlogs
    chmod 600 /home/$user/.qlogs
  end
end
